Bug 735125 - service libvirtd reload appears to kill libvirtd
service libvirtd reload appears to kill libvirtd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-01 11:05 EDT by Mark McLoughlin
Modified: 2011-09-28 01:42 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.9.6-1.fc16.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 01:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2011-09-01 11:05:21 EDT
Perhaps I'm missing something, but:

[markmc@zig novacreds]$ sudo service libvirtd start
Starting libvirtd (via systemctl):                         [  OK  ]
[markmc@zig novacreds]$ sudo service libvirtd status
libvirtd.service - LSB: daemon for libvirt virtualization API
	  Loaded: loaded (/etc/rc.d/init.d/libvirtd)
	  Active: active (running) since Thu, 01 Sep 2011 15:50:57 +0100; ..
	 Process: 9368 ExecStop=/etc/rc.d/init.d/libvirtd stop (code=exited, status=0/SUCCESS)
	 Process: 9365 ExecReload=/etc/rc.d/init.d/libvirtd reload (code=exited, status=0/SUCCESS)
	 Process: 10209 ExecStart=/etc/rc.d/init.d/libvirtd start (code=exited, status=0/SUCCESS)
	Main PID: 10217 (libvirtd)
	  CGroup: name=systemd:/system/libvirtd.service
		  ├  1122 /usr/sbin/dnsmasq --strict-order ...
		  └ 10217 libvirtd --daemon
[markmc@zig novacreds]$ sudo service libvirtd reload
Reloading libvirtd configuration (via systemctl):          [  OK  ]
[markmc@zig novacreds]$ sudo service libvirtd status
libvirtd.service - LSB: daemon for libvirt virtualization API
	  Loaded: loaded (/etc/rc.d/init.d/libvirtd)
	  Active: inactive (dead) since Thu, 01 Sep 2011 15:51:05 +0100; 1s ago
	 Process: 10323 ExecStop=/etc/rc.d/init.d/libvirtd stop (code=exited, status=0/SUCCESS)
	 Process: 10320 ExecReload=/etc/rc.d/init.d/libvirtd reload (code=exited, status=0/SUCCESS)
	 Process: 10209 ExecStart=/etc/rc.d/init.d/libvirtd start (code=exited, status=0/SUCCESS)
	Main PID: 10217 (code=killed, signal=HUP)
	  CGroup: name=systemd:/system/libvirtd.service
		  └ 1122 /usr/sbin/dnsmasq --strict-order ...
Comment 1 Laine Stump 2011-09-21 12:26:56 EDT
Any chance of getting a corefile?

I assume this is with libvirt-0.9.4. There is a libvirt-0.9.5 build available:

 http://koji.fedoraproject.org/koji/buildinfo?buildID=264549

if you'd like to try a newer release, but due to a regression in 0.9.5 it is about to be superceded by libvirt-0.9.6.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:51:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:54:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Mark McLoughlin 2011-09-28 01:42:19 EDT
Reload seems to work fine with libvirt-0.9.6-1.fc16.x86_64

Note You need to log in before you can comment on or make changes to this bug.